Page MenuHomePhabricator

Fully document process for building a new version of Kubernetes debs
Closed, ResolvedPublic

Description

Need to have rock solid documentation that lets us:

  1. Build a new deb with no changes and deploying it
  2. Making changes to the patches file and rebuilding the deb
  3. Updating to a new version of Kubernetes, which requires both importing new changes somehow, tagging them properly, and rebasing the patch with our admission controllers & rebuilding

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptMar 21 2017, 8:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@akosiaris started some docs with https://wikitech.wikimedia.org/wiki/Tools_Kubernetes#Building_debian_packages - thank you! But it fails with dpkg-source: error: can't build with source format '3.0 (quilt)': no upstream tarball found at ../kubernetes_1.4.6.orig.tar.{bz2,gz,lzma,xz} tho.

I 've updated https://wikitech.wikimedia.org/wiki/Tools_Kubernetes#Building_debian_packages with details of how to handle patch updates/changes and the need to fetch the original tarball to be able to build the deb.

@akosiaris progress! but now stuck at:

dpkg-source: info: the patch has fuzz which is not allowed, or is malformed
dpkg-source: info: if patch 'admission_controllers' is correctly applied by quilt, use 'quilt refresh' to update it
dpkg-source: error: LC_ALL=C patch -t -F 0 -N -p1 -u -V never -g0 -E -b -B .pc/admission_controllers/ --reject-file=- < kubernetes.orig.ABD1rf/debian/patches/admission_controllers gave error exit status 1
dpkg-buildpackage: error: dpkg-source -b kubernetes gave error exit status 2

This is a clean build from master.

bd808 triaged this task as Medium priority.Mar 26 2017, 7:39 PM
bd808 moved this task from Triage to In Progress on the Cloud-Services board.
akosiaris closed this task as Resolved.Mar 26 2018, 4:17 PM
akosiaris claimed this task.

This is old enough and I 've recently upgraded to 1.7.10 following the documentation at https://wikitech.wikimedia.org/wiki/Tools_Kubernetes#Building_debian_packages. Comment above was using the wrong version of the tar file by the kubernetes project IIRC. I 'll resolve this, feel free to reopen